Bug 151993 - Fails to find plugins at startup if Java is disabled
Fails to find plugins at startup if Java is disabled
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-23 21:30 EST by Robert Nichols
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-13 03:09:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Nichols 2005-03-23 21:30:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
If Java is disabled at startup ('user_pref("security.enable_java", false);' in
prefs.js), no plugins will be available.  Visiting the "about:plugins" page will
show all of the expected plugins, and after that the plugins will indeed work
as expected.

Version-Release number of selected component (if applicable):
firefox-1.0.2-1.3.1

How reproducible:
Always

Steps to Reproduce:
1. Install a plugin such as nppdf.so for Adobe Reader version 5.0.10 or 7.0 in
   /usr/lib/mozilla/plugins.
2. Start Firefox and visit the about:plugins page to confirm that the plugin
   is installed
3. In Edit / Preferences / Web Features, remove the check mark for "Java".
4. Quit from Firefox.
5. Start Firefox and visit a PDF file by typing "file:/path/to/somefile.pdf"
   in the location bar.
6. Observe that the Adobe Reader plugin is not invoked and instead you get
   the default behavior (probably running "ggv" in a separate window).
7. Visit the about:plugins page again to confirm that Adobe Reader plugin is
   really installed.
8. Visit file:/path/to/somefile.pdf again and observe that the plugin works
   properly now and Adobe Reader comes up within the Firefox window.
  

Actual Results:  See above description.  The bug shows up in step 6.

Expected Results:  The Adobe Reader plugin should have been invoked in Step 6.

Additional info:

This is not unique to Adobe Reader.  All plugins are affected. If the
prefs.js file is saved with Java enabled, the plugins are properly
detected at startup.  The problem also occurs in mozilla-1.7.6-1.3.2
and also in prior versions (mozilla-1.7.3-17, firefox-1.0.1-1.3.1).
It is not a problem with interactions between plugins -- the problem
occurs even with just one plugin installed.

Enabling or disabling Java after startup has no effect on this behavior.
All that matters is what state was saved in prefs.js .
Comment 1 Matthew Miller 2006-07-10 17:28:06 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.